CMSIS-DSP: arm_cfft_radix2_f16.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_radix2_f16.c File Reference

## Functions

void | arm_radix2_butterfly_f16 (float16_t *pSrc, uint32_t fftLen, const float16_t *pCoef, uint16_t twidCoefModifier)
void | arm_radix2_butterfly_inverse_f16 (float16_t *pSrc, uint32_t fftLen, const float16_t *pCoef, uint16_t twidCoefModifier, float16_t onebyfftLen)
void | arm_bitreversal_f16 (float16_t *pSrc, uint16_t fftSize, uint16_t bitRevFactor, const uint16_t *pBitRevTab)
void | arm_cfft_radix2_f16 (const arm_cfft_radix2_instance_f16 *S, float16_t *pSrc)
| Radix-2 CFFT/CIFFT. More...

## Function Documentation

void arm_bitreversal_f16 | ( | float16_t * | pSrc,
|  | uint16_t | fftSize,
|  | uint16_t | bitRevFactor,
|  | const uint16_t * | pBitRevTab
| ) |  |

void arm_radix2_butterfly_f16 | ( | float16_t * | pSrc,
|  | uint32_t | fftLen,
|  | const float16_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

end of ComplexFFT group

void arm_radix2_butterfly_inverse_f16 | ( | float16_t * | pSrc,
|  | uint32_t | fftLen,
|  | const float16_t * | pCoef,
|  | uint16_t | twidCoefModifier,
|  | float16_t | onebyfftLen
| ) |  |